VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Form2 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Lyra Bitviewer"
   ClientHeight    =   1320
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   1890
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1320
   ScaleWidth      =   1890
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox tempPicture 
      BackColor       =   &H80000005&
      Height          =   780
      Left            =   195
      ScaleHeight     =   48
      ScaleMode       =   0  'User
      ScaleWidth      =   96
      TabIndex        =   2
      Top             =   315
      Visible         =   0   'False
      Width           =   1500
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   1830
      Top             =   165
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      Filter          =   "Bitfile (*.bit)|*.bit|Bitmap (*.bmp)|*.bmp|All files (*.*)|*.*"
   End
   Begin VB.Frame LyraFrame 
      Caption         =   "Lyra Screen"
      Height          =   1170
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   1740
      Begin VB.PictureBox Picture1 
         AutoRedraw      =   -1  'True
         BackColor       =   &H00FFFFFF&
         ForeColor       =   &H00000000&
         Height          =   780
         Left            =   120
         ScaleHeight     =   48
         ScaleMode       =   0  'User
         ScaleWidth      =   96
         TabIndex        =   1
         Top             =   240
         Width           =   1500
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuOpen 
         Caption         =   "&Open..."
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save As..."
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "&Options"
      Begin VB.Menu mnuColor 
         Caption         =   "&Color"
         Begin VB.Menu mnuBW 
            Caption         =   "&Black && White"
            Checked         =   -1  'True
         End
         Begin VB.Menu mnuIndiglo 
            Caption         =   "&Indiglo LCD"
         End
         Begin VB.Menu mnuLCD 
            Caption         =   "&LCD"
         End
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuAbout 
         Caption         =   "&About..."
      End
   End
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub mnuAbout_Click()
    frmAbout.Show
End Sub

Private Sub mnuBW_Click()
    mnuBW.Checked = True
    mnuIndiglo.Checked = False
    mnuLCD.Checked = False
    
    Picture1.ForeColor = &H0
    Picture1.BackColor = &HFFFFFF
    
End Sub

Private Sub mnuExit_Click()
    Unload Form2
End Sub

Private Sub mnuIndiglo_Click()
    mnuBW.Checked = False
    mnuIndiglo.Checked = True
    mnuLCD.Checked = False
    
    Picture1.ForeColor = &H404040
    Picture1.BackColor = &HFFFF80
    
End Sub

Private Sub mnuLCD_Click()
    mnuBW.Checked = False
    mnuIndiglo.Checked = False
    mnuLCD.Checked = True
    
    Picture1.ForeColor = &H404040
    Picture1.BackColor = &H80FF80
    
End Sub

Private Sub mnuOpen_Click()
On Error GoTo ErrorHandler

    Dim r, X, Y As Integer
    Dim byteChar As Byte
    Dim strBinary As String
    Dim strFilename As String
    Dim strFiletype As String
    
    CommonDialog1.ShowOpen
    strFilename = CommonDialog1.FileName
    strFiletype = LCase(Right(strFilename, 3))
    
    If strFilename <> "" Then
        Picture1.Cls 'Clear bitmap area
        If strFiletype = "bit" Then
            Open strFilename For Binary Access Read As #1
            For r = 0 To 5 '6 rows of 8 bits for a total height of 48 pixels
                For X = 1 To 96 '96 pixels wide
                    Get #1, X + (r * 96), byteChar
                    For Y = 0 To 7
                        If byteChar And 2 ^ Y Then 'is bit set?
                            Picture1.PSet (X - 1, Y + (8 * r)), 0
                        End If
                    Next
                Next
            Next
            Close #1
        Else
            If strFiletype = "bmp" Then
                tempPicture.Visible = True
                tempPicture.Picture = LoadPicture(strFilename, , 1)
                For X = 0 To 96 '96 pixels wide
                    For Y = 0 To 48 'build byte value
                        If tempPicture.Point(X, Y) = 0 Then
                            Picture1.PSet (X, Y), 0
                        End If
                    Next
                Next
                tempPicture.Visible = False
            End If
        End If
    End If

ErrorHandler:
'general error trap... if there's a real problem I'll fix it.
End Sub

Private Sub mnuSave_Click()
On Error GoTo ErrorHandler

    Dim r, X, Y As Integer
    Dim byteChar As Byte
    Dim strFilename As String
    Dim strFiletype As String
    
    CommonDialog1.ShowSave
    strFilename = CommonDialog1.FileName
    strFiletype = LCase(Right(strFilename, 3))
    
    If strFilename <> "" Then
        If strFiletype = "bit" Then
            Open strFilename For Binary Access Write As #1
            For r = 0 To 5 '6 rows of 8 bits for a total height of 48 pixels
                For X = 1 To 96 '96 pixels wide
                    byteChar = 0
                    For Y = 0 To 7 'build byte value
                        If Picture1.Point(X - 1, Y + (8 * r)) = 0 Then
                            byteChar = byteChar + (2 ^ Y)
                        End If
                    Next
                    Put #1, X + (r * 96), byteChar
                Next
            Next
            Close #1
        Else
            If strFiletype = "bmp" Then
                SavePicture Picture1.Image, strFilename
            End If
        End If
    End If
    
ErrorHandler:
'general error trap... if there's a real problem I'll fix it.
End Sub
